#if !defined(AFX_BITMAPOBJ_H__AEE32BE3_00A1_4BD1_AECB_05A3CA18AE63__INCLUDED_)
#define AFX_BITMAPOBJ_H__AEE32BE3_00A1_4BD1_AECB_05A3CA18AE63__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BitmapObj.h : header file
//
#include <comdef.h>
#include "RectObj.h"

/////////////////////////////////////////////////////////////////////////////
// CBitmapObj command target

class CBitmapObj : public CRectObj
{
public:
	CBitmapObj();
	virtual ~CBitmapObj();

// Attributes

// Operations
public:
	void Free()
	{
		if(m_hbm && m_pict == NULL) ::DeleteObject(m_hbm);
		m_hbm = NULL;
		if(m_pict != NULL) m_pict.Release();
	}

	void LoadDefBitmap();
	BOOL LoadFile(LPCTSTR filename = NULL);
	void FitToBitmap();

// Overrides
	virtual void Serialize(CArchive& ar);
	virtual void Draw(CDC* pDC, BOOL bSelected);

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBitmapObj)
	//}}AFX_VIRTUAL

// Implementation
protected:
	HBITMAP m_hbm;
	IPicturePtr m_pict;
	DECLARE_SERIAL(CBitmapObj)
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BITMAPOBJ_H__AEE32BE3_00A1_4BD1_AECB_05A3CA18AE63__INCLUDED_)
