#if !defined(AFX_CIRCLEOBJ_H__47CEE65E_C69B_4E72_8746_5B44680D4531__INCLUDED_)
#define AFX_CIRCLEOBJ_H__47CEE65E_C69B_4E72_8746_5B44680D4531__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CircleObj.h : header file
//

#include "GraphObj.h"


class CRectEx : public CRect
{
public:
	BOOL PtInEllipse(POINT pt);
};
/////////////////////////////////////////////////////////////////////////////
// CCircleObj command target

class CCircleObj : public CGraphObj
{
public:
	CCircleObj();
	virtual ~CCircleObj();

// Attributes
protected:
	enum {NODRAG, DRAGHANDLE, DRAGALL} m_dragstat;

	CPoint m_center;
	long   m_radius;

	void	GetDrawInfo(CRect& rect, CPoint* phl = NULL, CPoint* pht = NULL,
			CPoint* phr = NULL, CPoint* phb = NULL);

// Operations
public:

// Overrides
	void Serialize(CArchive& ar);
	virtual DWORD Test_point(POINT& pt);
	virtual void Bound_rectangle(CRect& rect);
	virtual void Draw(CDC* pDC, BOOL bSelected);
	virtual BOOL Grab_point(POINT& pt, BOOL bSelected);
	virtual BOOL Release_point(POINT& pt, BOOL Success, RECT* pRect = NULL);
	virtual BOOL Move_point(POINT& pt, RECT* pRect = NULL);
	virtual BOOL Show_properties();
	virtual void Normalize();


// Implementation
protected:

	DECLARE_SERIAL(CCircleObj)
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CIRCLEOBJ_H__47CEE65E_C69B_4E72_8746_5B44680D4531__INCLUDED_)
