#if !defined(AFX_GRAPHOBJ_H__6460A70C_44B2_4C99_B105_555009FB3A09__INCLUDED_)
#define AFX_GRAPHOBJ_H__6460A70C_44B2_4C99_B105_555009FB3A09__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GraphObj.h : header file
//

#define PTTEST_INSIDE		0x00000001
#define PTTEST_HANDLE		0x00000002

#define HANDLE_SIZE			3

/////////////////////////////////////////////////////////////////////////////
// CGraphObj command target

class CGraphObj : public CObject
{
public:
	CGraphObj();
	virtual ~CGraphObj();

// Attributes
protected:
	static CPoint	m_ptDragOrg;
	static CPoint	m_ptDragNow;

	CPoint		m_ptRef;
	COLORREF	m_cor;
	LONG		m_zorder;
	BOOL		m_deleted;

// Operations
public:
	void Move(POINT& ptNewPos, CRect* rectChanged = NULL);
	void Move(SIZE& sz, CRect* rectChanged = NULL);

	CGraphObj* Clone(POINT* pPtRef = NULL);
	void DrawHandle(CDC* pDC, CPoint pt);
	BOOL SetColor(COLORREF cor, CRect& rect);
	COLORREF GetColor() { return m_cor; }
	BOOL IsDeleted() { return m_deleted; }
	void Delete(BOOL bDelete = TRUE) { m_deleted = bDelete; } 

public:
	virtual void Bound_rectangle(CRect& rect) { ASSERT(0); }
	virtual DWORD Test_point(POINT& pt) { ASSERT(0); return 0; }
	virtual void Draw(CDC* pDC, BOOL bSelected) { ASSERT(0); }
	virtual BOOL Grab_point(POINT& pt, BOOL bSelected) { ASSERT(0); return FALSE;}
	virtual BOOL Release_point(POINT& pt, BOOL Success, RECT* pRect = NULL) { ASSERT(0); return FALSE; }
	virtual BOOL Move_point(POINT& pt, RECT* pRect = NULL) { ASSERT(0); return FALSE; }
	virtual BOOL Show_properties() { ASSERT(0); return FALSE; }
	virtual void Normalize() { ASSERT(0); }



// Overrides
	void Serialize(CArchive& ar);

// Implementation
public:
	static void TestHandle(POINT& pt, POINT& pt_handle, DWORD& result);
	static BOOL IsSameSide(POINT& ptr1, POINT& ptr2, POINT& pt1, POINT& pt2);

	DECLARE_DYNAMIC(CGraphObj)
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRAPHOBJ_H__6460A70C_44B2_4C99_B105_555009FB3A09__INCLUDED_)
