#if !defined(AFX_LINEOBJ_H__276ED25A_7EC0_4423_A602_C488FF7B6940__INCLUDED_)
#define AFX_LINEOBJ_H__276ED25A_7EC0_4423_A602_C488FF7B6940__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LineObj.h : header file
//

#include "GraphObj.h"

/////////////////////////////////////////////////////////////////////////////
// CLineObj command target

class CLineObj : public CGraphObj
{
public:
	CLineObj(); 
	virtual ~CLineObj();

// Attributes
protected:
	CPoint m_pt1;
	CPoint m_pt2;
	LONG   m_style;

	enum {NODRAG, DRAGPT1, DRAGPT2, DRAGALL} m_dragstat;

	void GetDrawPoints(CPoint& pt1, CPoint& pt2);

// Operations
public:
// Overrides
	virtual DWORD Test_point(POINT& pt);
	virtual void Bound_rectangle(CRect& rect);
	virtual void Draw(CDC* pDC, BOOL bSelected);
	virtual BOOL Grab_point(POINT& pt, BOOL bSelected);
	virtual BOOL Release_point(POINT& pt, BOOL Success, RECT* pRect = NULL);
	virtual BOOL Move_point(POINT& pt, RECT* pRect = NULL);
	virtual BOOL Show_properties();
	virtual void Normalize();
	virtual void Serialize(CArchive& ar);

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLineObj)
	//}}AFX_VIRTUAL

// Implementation


protected:
	DECLARE_SERIAL(CLineObj)
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LINEOBJ_H__276ED25A_7EC0_4423_A602_C488FF7B6940__INCLUDED_)
