// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "IA369J.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_COMMAND(ID_MOSTRA_BARRADEFERRAMENTASGRFICAS, OnMostraBarradeferramentasgrficas)
	ON_UPDATE_COMMAND_UI(ID_MOSTRA_BARRADEFERRAMENTASGRFICAS, OnUpdateMostraBarradeferramentasgrficas)
	ON_COMMAND(ID_MOSTRA_BARRADECORES, OnMostraBarradecores)
	ON_UPDATE_COMMAND_UI(ID_MOSTRA_BARRADECORES, OnUpdateMostraBarradecores)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
//	ID_INDICATOR_CAPS,
//	ID_INDICATOR_NUM,
//	ID_INDICATOR_SCRL,
};

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
	
}

CMainFrame::~CMainFrame()
{
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndToolBar.CreateEx(this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_TOP
		| CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}


// Create Graphic Toolbar
	if (!m_wndGraphToolBar.CreateEx(this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_LEFT
		| CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndGraphToolBar.LoadToolBar(IDR_GRAPH_TOOLS))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}
	m_wndGraphToolBar.SetWindowText(_T("Ferramentas Grficas"));

// Create Colors Toolbar
	if (!m_wndColorsToolBar.CreateEx(this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_BOTTOM
		| CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndColorsToolBar.LoadToolBar(IDR_TOOLBAR_CORES))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}
	m_wndColorsToolBar.SetWindowText(_T("Cores"));



	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	// TODO: Delete these three lines if you don't want the toolbar to
	//  be dockable
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);

	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);

	m_wndGraphToolBar.EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndGraphToolBar);

	m_wndColorsToolBar.EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndColorsToolBar);

	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers


void CMainFrame::OnMostraBarradeferramentasgrficas() 
{
	ShowControlBar(&m_wndGraphToolBar, !m_wndGraphToolBar.IsWindowVisible(), FALSE);
}

void CMainFrame::OnUpdateMostraBarradeferramentasgrficas(CCmdUI* pCmdUI) 
{
	pCmdUI->SetCheck(m_wndGraphToolBar.IsWindowVisible());
}

void CMainFrame::OnMostraBarradecores() 
{
	ShowControlBar(&m_wndColorsToolBar, !m_wndColorsToolBar.IsWindowVisible(), FALSE);
}

void CMainFrame::OnUpdateMostraBarradecores(CCmdUI* pCmdUI) 
{
	pCmdUI->SetCheck(m_wndColorsToolBar.IsWindowVisible());
}
