#if !defined(AFX_TRIANGOBJ_H__E4EB7689_EE77_4615_847C_7EC8B0D1AFE4__INCLUDED_)
#define AFX_TRIANGOBJ_H__E4EB7689_EE77_4615_847C_7EC8B0D1AFE4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TriangObj.h : header file
//

#include "GraphObj.h"


/////////////////////////////////////////////////////////////////////////////
// CTriangObj command target

class CTriangObj : public CGraphObj
{
public:
	CTriangObj();
	virtual ~CTriangObj();

// Attributes
public:

protected:
	enum DRAGSTAT {NODRAG, DRAGPT0, DRAGPT1, DRAGPT2, DRAGALL} m_dragstat;

	CPoint m_pt[3];
	void	GetDrawInfo(CPoint* pppt);

// Operations
public:
	virtual DWORD Test_point(POINT& pt);
	virtual void Bound_rectangle(CRect& rect);
	virtual void Draw(CDC* pDC, BOOL bSelected);
	virtual BOOL Grab_point(POINT& pt, BOOL bSelected);
	virtual BOOL Release_point(POINT& pt, BOOL Success, RECT* pRect = NULL);
	virtual BOOL Move_point(POINT& pt, RECT* pRect = NULL);
	virtual BOOL Show_properties();
	virtual void Normalize();
	virtual void Serialize(CArchive& ar);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTriangObj)
	//}}AFX_VIRTUAL

// Implementation
protected:
	DECLARE_SERIAL(CTriangObj)

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRIANGOBJ_H__E4EB7689_EE77_4615_847C_7EC8B0D1AFE4__INCLUDED_)
